[Overview][Classes][Procedures and functions][Index] | Reference for unit 'Spin' (#lcl)

# TCustomSpinEdit.GetLimitedValue

Gets the value for the control limited the range in MinValue and MaxValue.

## Declaration

Source position: spin.pp line 159

`public function TCustomSpinEdit.GetLimitedValue(`
`const AValue: Double`
`):Double; override;`

## Arguments

`AValue` |  | Value normalized to the range in MinValue and MaxValue.

## Function result

Range-limited value for the control.

## Description

Remark: | GetLimitedValue is implemented to return a Double value. This remains because the method is called from widgetset classes for both TFloatSpinEdit and TSpinEdit, and the method signature cannot be changed to use the Integer type desired for the implementation.

Calls the inherited method on entry. GetLimitedValue also ensures that the return value is valid for the MinInt and MaxInt constants defined in RTL for the platform / CPU architecture.

## See also

TCustomFloatSpinEdit.GetLimitedValue |  | Limits the specified value to the minimum and maximum values for the control.
MaxInt